using System;
using UnityEngine;

namespace SpringConstrainedPickup
{
    /// <summary>
    /// Using a singleton for holding the springAnchor object for each pickup instance.
    /// </summary>
    public class PickupManager : MonoBehaviour
    {
        public static PickupManager Instance { get; private set; }
        
        public GameObject springAnchor;
        
        private void Awake()
        {
            if (Instance == null)
            {
                Instance = this;
            }
            else
            {
                Destroy(gameObject);
            }
        }
        
    }
    
}